Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.model
Class QueryCapability

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.oslc4j.core.model.QueryCapability

All Implemented Interfaces:
  IExtendedResource, IResource

    public final class QueryCapability

extends AbstractResource

Constructor Summary
`QueryCapability()`
`QueryCapability(String title, URI queryBase)`

Method Summary
`void` | `addResourceType(URI resourceType)`
`void` | `addUsage(URI usage)`
`String` | `getLabel()`
`URI` | `getQueryBase()`
`URI` | `getResourceShape()`
`URI[]` | `getResourceTypes()`
`String` | `getTitle()`
`URI[]` | `getUsages()`
`void` | `setLabel(String label)`
`void` | `setQueryBase(URI queryBase)`
`void` | `setResourceShape(URI resourceShape)`
`void` | `setResourceTypes(URI[] resourceTypes)`
`void` | `setTitle(String title)`
`void` | `setUsages(URI[] usages)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryCapability

    public QueryCapability()

### QueryCapability

    public QueryCapability(String title,
                           URI queryBase)

Method Detail

### addResourceType

    public void addResourceType(URI resourceType)

### addUsage

    public void addUsage(URI usage)

### getLabel

    public String getLabel()

### getQueryBase

    public URI getQueryBase()

### getResourceShape

    public URI getResourceShape()

### getResourceTypes

    public URI[] getResourceTypes()

### getTitle

    public String getTitle()

### getUsages

    public URI[] getUsages()

### setLabel

    public void setLabel(String label)

### setQueryBase

    public void setQueryBase(URI queryBase)

### setResourceShape

    public void setResourceShape(URI resourceShape)

### setResourceTypes

    public void setResourceTypes(URI[] resourceTypes)

### setTitle

    public void setTitle(String title)

### setUsages

    public void setUsages(URI[] usages)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.